<?php

function maes_tot()
{
require('../cfg/res.php');
include('php_gene1.php');

mysql_query('update maes0 set maes_descri=maes_razsoc where maes_descri="" or maes_descri is null',$link_vcrx);
mysql_query('update maes0 set maes_status="-" where maes_status is null',$link_vcrx);

$xacceso=1;
$sql_acce='select * from usrdoc1 where docu like "maes%" and cons="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
// $res_acce=mysql_query($sql_acce,$link_vcrx);
// if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
// if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
// if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Lista de Items ' );}	

	
//$res_m=mysql_query('alter table adrs0 modify column adrs_codigo int not null auto_increment first',$link_vcrx);
// echo $res_m;
	
$xfgrou='L';
$xforde='D';
$xfcodi='1';
$xfentt='1';


// $sql_item0='update item0 set item_status="-" where item_status is null';
// $res_item0=mysql_query($sql_item0,$link_vcrx);
	
mysql_query("SET NAMES 'utf8'");
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-12 month' , strtotime ( $fecha1 ) ) ;
// $xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1 = date ( 'Y-m-01' , $nuevafecha );
$xfecha2= date('Y-m-d');

?>



<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>


function _fecha(e,idfec)
{
// 	if(e.keyCode==13)
if(e.keyCode==9 || e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}



function maesl1d(grupox,idnumx,obj)
{
	
	
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

document.getElementById('maeslot2').innerHTML='Cargando...';
$.ajax({
		cache:false,
		url:'../lib/vrmaesl1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 console.log(dato);
			 document.getElementById('maeslot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('maeslot2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('maeslot2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('maeslot2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('maeslot2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('maeslot2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('maeslot2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('maeslot2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}


function redireccionar(xdesti) 
{
	document.body.style.cursor='auto';
	
// var enti=document.getElementById('maes').value;
var fmaes=document.getElementById('fmaes').value;
	
if (fmaes=="")
{
	alert('Debe Especificar una Tablas');
	return false;
}	
var ftipo=document.getElementById('ftipo').value;
var fcodi=document.getElementById('fcodi').value;
var fdesc=document.getElementById('fdesc').value;

var forde ='D';	
var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;

	
if (fordec){forde='C';}
if (forded){forde='D';}

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}


var fgrou='D';
// var forde='C';

	document.body.style.cursor='wait';
	
if (xdesti=='I'){
	pagina="../lib/impr_maesl0.php?"
	+"&fecha_ini="+fecha_ini 
	+"&fecha_fin="+fecha_fin 
	+"&fmaes="+fmaes
	+"&ftipo="+ftipo
	+"&fcodi="+fcodi
	+"&fdesc="+fdesc
	+"&forde="+forde;
	console.log(pagina);
	window.open(pagina);
}
else{	
		document.getElementById('maeslot1').innerHTML='Cargando Datos...';
		$.ajax({
		cache:false,
		url:'vrmaesl2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		fgrou:fgrou,
		fmaes:fmaes,
		ftipo:ftipo,
		fcodi:fcodi,
		fdesc:fdesc,
		forde:forde},
    	beforeSend: function(jqXHR, textStatus)
		{}, 
		success:function(dato, textStatus, jqXHR)
		{document.getElementById('maeslot1').innerHTML=dato;},
		error:function(jqXHR,textStatus,errorThrown )
		{
			if (jqXHR.status === 0) {console.log('Not connect: Verify Network.');}
			else if (jqXHR.status == 404) {console.log('Requested page not found [404]');}
			else if (jqXHR.status == 500) {console.log('Internal Server Error [500].');}
			else if (exception === 'parsererror') {console.log('Requested JSON parse failed.');}
			else if (exception === 'timeout') {alert('Servidor no Responde');}
			else if (exception === 'abort') {console.log('Ajax request aborted.');}
			else {console.log('Uncaught Error: ' + jqXHR.responseText);}
		}, 
		complete:function(jqXHR, textStatus)
    	{if(textStatus==='success'){}},
		timeout:300000
	});
}
	document.body.style.cursor='auto';

} 



//function imprimirlista(entix,entid) 

function imprimirlista() 
{

// var enti=document.getElementById('maes').value;
var fmaes=document.getElementById('fmaes').value;

var fcodi=document.getElementById('fcodi').value;
var fdesc=document.getElementById('fdesc').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}


var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;

var fgrou='L';
var forde='D';

	
if (fordec){forde='C';}
if (forded){forde='D';}

console.log(fentt);
// echo fentt;

pagina="../lib/impr_maesl0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fmaes="+fmaes
+"&fcodi="+fcodi
+"&fdesc="+fdesc
+"&forde="+forde;
console.log(pagina);
window.open(pagina);
} 

function nuevocodi() 
{

// var enti=document.getElementById('maes').value;
var fmaes=document.getElementById('fmaes').value;

pagina="../lib/nmaes1.php?"
+"&maes="+fmaes;
console.log(pagina);
window.open(pagina);
} 

	
function _maes(e)
{
	if( e.keyCode==13)
	{
// 			busca_maes2('maes',document.getElementById('maes').value,'maes','descri','');
	}
}

	
</script>

<div style=" max-height:100px; overflow-y:scroll; margin-top:5px;">

<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table>	
	<caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
</table>
</th>

<th>
<table>	
	<caption>TABLA</caption>	
	<tr>
		<?php $pcaption='TABLA';  $pidtxt='fmaes';  $plong=4; include('vrgettxt.php'); ?>
</tr>
</table>
</th>


<th style ="border-left:solid 1px; display:none;" >
<div align="center" >
<span>AGRUPADO X</span>
</div>
<div>
<input type="radio" id="fgroul" name="fgroup" <?php if($xfgrou=='L'){echo 'checked';}?>/><span>Lineas</span> <br/>
<input type="hidden" id="fgrout" name="fgroup" <?php if($xfgrou=='T'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrouz" name="fgroup" <?php if($xfgrou=='Z'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrouv" name="fgroup" <?php if($xfgrou=='V'){echo 'checked';}?>/><span></span> <br/>
<input type="hidden" id="fgrour" name="fgroup" <?php if($xfgrou=='R'){echo 'checked';}?>/><span></span> <br/>
</div>
</th>



<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<div>
<input type="radio" id="forded" name="forder" <?php if($xforde=='D'){echo 'checked';}?>/><span>Nombre</span> <br/>
<input type="radio" id="fordec" name="forder" <?php if($xforde=='C'){echo 'checked';}?>/><span>Codigo</span> <br/>
</div>
</th>

<th style ="border-left:solid 1px; display:none;">
<div align="center">
<span>CODIGOS</span>
</div>
<div>
<input type="radio" id="fcodis" name="tcodi" <?php if($xfcodi=='1'){echo 'checked';}?>/><span>Sistema</span> <br/>
<input type="radio" id="fcodia" name="tcodi" <?php if($xfcodi=='2'){echo 'checked';}?>/><span>Auxiliar</span> <br/>
<input type="radio" id="fcodie" name="tcodi" <?php if($xfcodi=='3'){echo 'checked';}?>/><span>EAN (Barras)</span> <br/>
</div>
</th>

<th style ="border-left:solid 1px;display:none;">
<div align="center">
<span>ITEMS</span>
</div>
<div>
<input type="radio" id="fenttc" name="fentt" <?php if($xfentt=='1'){echo 'checked';}?>/><span>Clientes</span> <br/>
<input type="radio" id="fenttp" name="fentt" <?php if($xfentt=='2'){echo 'checked';}?>/><span>Proveedores</span> <br/>
<input type="radio" id="fentte" name="fentt" <?php if($xfentt=='3'){echo 'checked';}?>/><span>Empleados</span> <br/>
<input type="radio" id="fenttt" name="fentt" <?php if($xfentt=='4'){echo 'checked';}?>/><span>Todos</span> <br/>

</div>
</th>



<th style ="border-left:solid 1px;">
<div align="center">
<span>FILTROS</span>
</div>
<table>
<tr >
		<?php $pcaption='TIPO';  $pidtxt='ftipo'; $plong=4; include('vrgettxt.php'); ?>
</tr>
<tr >
		<?php $pcaption='CODIGO';  $pidtxt='fcodi'; $plong=15; include('vrgettxt.php'); ?>
</tr>
<tr >
		<?php $pcaption='DESCRI';  $pidtxt='fdesc'; $plong=30; include('vrgettxt.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='T.PROV';  $ptabla='tpro'; $pidtxt='ftpro';  $pdefa=$xftpro; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='LINEA';  $ptabla='lsub'; $pidtxt='flsub'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr style="display:none;">
		<?php $pcaption='ITEM';  $ptabla='item'; $pidtxt='item'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
</table>	
	
    	<div>
</div>
</th>
<th>
<table style='display:none;'>
<tr>
		<?php $pcaption='MARCA';  $ptabla='mrca'; $pidtxt='fmrca'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
		<?php $pcaption='MODELO';   $pidtxt='fmdlo'; $plong=20; include('vrgettxt.php'); ?>
</tr>
<tr>
		<?php $pcaption='Num.Parte';   $pidtxt='fnpar'; $plong=20; include('vrgettxt.php'); ?>
</tr>
</table>	
	
</th>
<th style ="border-left:solid 1px;">
	

	</th>	
	
<th>
	
</th>

<th style ="border-left:solid 1px;display:none;">
<div>
</div>
</th>

<th style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='Imprimir';  $ponclick="redireccionar('I');" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='Nuevo';  $ponclick="nuevocodi();" ;include('vrbutton.php'); ?>
	</th>


</tr>
</table>
</div>

<hr/>


<div id="maeslot1" style="overflow-y:scroll;overflow-x:scroll; height:300px;"></div>

<br>
<div id="maeslot2" style="overflow-x:scroll;"></div>

<?php		
// $xwidth=40;	
require('lista_car.php');
}

?>